<?php
/**
 * File for class DhlApiServiceGet
 * @package DhlApi
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
/**
 * This class stands for DhlApiServiceGet originally named Get
 * @package DhlApi
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
class DhlApiServiceGet extends DhlApiWsdlClass
{
    /**
     * Method to call the operation originally named getVersion
     * Documentation : Sprawdzenie wersji webapi.
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetVersion $_dhlApiStructGetVersion
     * @return DhlApiStructGetVersionResponse
     */
    public function getVersion()
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getVersion());
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getMyShipments
     * Documentation : Pobieranie podstawowych danych o przesyłkachMaksymalny zakres dat to 90 dni. Zwracane jest maksimum 100 przesyłek, jeśli jest ich więcej należy korzystać z offsetu.
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetMyShipments $_dhlApiStructGetMyShipments
     * @return DhlApiStructGetMyShipmentsResponse
     */
    public function getMyShipments(DhlApiStructGetMyShipments $_dhlApiStructGetMyShipments)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getMyShipments($_dhlApiStructGetMyShipments));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getMyShipmentsCount
     * Documentation : Pobieranie podstawowych danych o ilości przesyłekMaksymalny zakres dat to 90 dni.
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetMyShipmentsCount $_dhlApiStructGetMyShipmentsCount
     * @return DhlApiStructGetMyShipmentsCountResponse
     */
    public function getMyShipmentsCount(DhlApiStructGetMyShipmentsCount $_dhlApiStructGetMyShipmentsCount)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getMyShipmentsCount($_dhlApiStructGetMyShipmentsCount));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getPostalCodeServices
     * Documentation : Weryfikacja poprawności kodu pocztowego oraz pobranie dostępnychw danej chwili usług przewozowych.Odpowiedź metody jest funkcją godziny, w jakiej przychodzi żądanie (usługi terminowesą dostępne do ustalonych godzin).
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetPostalCodeServices $_dhlApiStructGetPostalCodeServices
     * @return DhlApiStructGetPostalCodeServicesResponse
     */
    public function getPostalCodeServices(DhlApiStructGetPostalCodeServices $_dhlApiStructGetPostalCodeServices)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getPostalCodeServices($_dhlApiStructGetPostalCodeServices));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getTrackAndTraceInfo
     * Documentation : Pobranie danych na temat zdarzeń związanych z przesyłką o przekazanym identyfikatorze.
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetTrackAndTraceInfo $_dhlApiStructGetTrackAndTraceInfo
     * @return DhlApiStructGetTrackAndTraceInfoResponse
     */
    public function getTrackAndTraceInfo(DhlApiStructGetTrackAndTraceInfo $_dhlApiStructGetTrackAndTraceInfo)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getTrackAndTraceInfo($_dhlApiStructGetTrackAndTraceInfo));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getLabels
     * Documentation : Pobranie różnego rodzaju etykiet związanych z przesyłkami.Za jednym wywołaniem można pobrać maksymalnie 3 etykiety
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetLabels $_dhlApiStructGetLabels
     * @return DhlApiStructGetLabelsResponse
     */
    public function getLabels(DhlApiStructGetLabels $_dhlApiStructGetLabels)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getLabels($_dhlApiStructGetLabels));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getPnp
     * Documentation : Pobranie raportu Potwierdzenie Nadanych Przesyłek (PNP)
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetPnp $_dhlApiStructGetPnp
     * @return DhlApiStructGetPnpResponse
     */
    public function getPnp(DhlApiStructGetPnp $_dhlApiStructGetPnp)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getPnp($_dhlApiStructGetPnp));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Method to call the operation originally named getShipmentScan
     * Documentation : Pobieranie skanów LP w systemie DHL
     * @uses DhlApiWsdlClass::getSoapClient()
     * @uses DhlApiWsdlClass::setResult()
     * @uses DhlApiWsdlClass::saveLastError()
     * @param DhlApiStructGetShipmentScan $_dhlApiStructGetShipmentScan
     * @return DhlApiStructGetShipmentScanResponse
     */
    public function getShipmentScan(DhlApiStructGetShipmentScan $_dhlApiStructGetShipmentScan)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->getShipmentScan($_dhlApiStructGetShipmentScan));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see DhlApiWsdlClass::getResult()
     * @return DhlApiStructGetLabelsResponse|DhlApiStructGetMyShipmentsCountResponse|DhlApiStructGetMyShipmentsResponse|DhlApiStructGetPnpResponse|DhlApiStructGetPostalCodeServicesResponse|DhlApiStructGetShipmentScanResponse|DhlApiStructGetTrackAndTraceInfoResponse|DhlApiStructGetVersionResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
